com.unitech.stuhfl

## Class STUHFL_T_Gb29768_Sort

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gb29768_Sort
  - - com.unitech.stuhfl.STUHFL_T_Gb29768_Sort

-     public class STUHFL_T_Gb29768_Sort
      extends BR_Gb29768_Sort

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gb29768_Sort

      `BR_Gb29768_Sort.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `mask` < I Param: Bank (TagInfo, Coding, Security, User) on which apply the sort.
    `short` | `maskBitLength` < I Param: Bit starting address to which mask is applied (bit address).
    `long` | `maskBitPointer` < I Param: Selection mask.
    `STUHFL_E.GB29768_AREA` | `memoryBank` < I Param: Elicit the tag behavior according to Gb29768 Sort specification.
    `STUHFL_E.GB29768_SORT_MODE` | `mode`
    `STUHFL_E.GB29768_RULE` | `rule` < I Param: indicates whether the select modifies a tag's match flag or its inventoried flag.
    `STUHFL_E.GB29768_SORT_TARGET` | `target` < I Param: Select mode to be applied (CLEAR_LIST, ADD2LIST, CLEAR_AND_ADD).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gb29768_Sort()`
    `STUHFL_T_Gb29768_Sort(STUHFL_E.GB29768_SORT_MODE mode, STUHFL_E.GB29768_SORT_TARGET target, STUHFL_E.GB29768_RULE rule, STUHFL_E.GB29768_AREA memoryBank, byte[] mask, long maskBitPointer, short maskBitLength)`
    `STUHFL_T_Gb29768_Sort(STUHFL_T_Gb29768_Sort other)` < I Param: Mask length (in bits).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gb29768 Sort command to select or filter transponders
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gb29768_Sort

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mode

          public STUHFL_E.GB29768_SORT_MODE mode

    - #### target

          public STUHFL_E.GB29768_SORT_TARGET target

      < I Param: Select mode to be applied (CLEAR_LIST, ADD2LIST, CLEAR_AND_ADD).

    - #### rule

          public STUHFL_E.GB29768_RULE rule

      < I Param: indicates whether the select modifies a tag's match flag or its inventoried flag.

    - #### memoryBank

          public STUHFL_E.GB29768_AREA memoryBank

      < I Param: Elicit the tag behavior according to Gb29768 Sort specification. Nota: the rule STUHFL_D_GB29768_RULE_MATCH0_ELSE_1 (0x03) is to be used to invert selection.

    - #### mask

          public byte[] mask

      < I Param: Bank (TagInfo, Coding, Security, User) on which apply the sort.

    - #### maskBitPointer

          public long maskBitPointer

      < I Param: Selection mask.

    - #### maskBitLength

          public short maskBitLength

      < I Param: Bit starting address to which mask is applied (bit address).

  - ### Constructor Detail

    - #### STUHFL_T_Gb29768_Sort

          public STUHFL_T_Gb29768_Sort(STUHFL_T_Gb29768_Sort other)

      < I Param: Mask length (in bits).

    - #### STUHFL_T_Gb29768_Sort

          public STUHFL_T_Gb29768_Sort(STUHFL_E.GB29768_SORT_MODE mode,
                                       STUHFL_E.GB29768_SORT_TARGET target,
                                       STUHFL_E.GB29768_RULE rule,
                                       STUHFL_E.GB29768_AREA memoryBank,
                                       byte[] mask,
                                       long maskBitPointer,
                                       short maskBitLength)

    - #### STUHFL_T_Gb29768_Sort

          public STUHFL_T_Gb29768_Sort()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gb29768 Sort command to select or filter transponders
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`